Bug 572725 - 3rd party tools (eg. flash) look in /etc/ssl/certs for Certificate Authorities
Summary: 3rd party tools (eg. flash) look in /etc/ssl/certs for Certificate Authorities
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: ca-certificates
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-11 21:36 UTC by Benjamin Kahn
Modified: 2015-01-13 03:16 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 22:33:13 UTC


Attachments (Terms of Use)

Description Benjamin Kahn 2010-03-11 21:36:00 UTC
Description of problem:
3rd party tools (eg. flash) look in /etc/ssl/certs for Certificate Authorities 
SUSE, Debian, and upstream all use this path

Version-Release number of selected component (if applicable):
ca-certificates-2009-2.fc12.noarch

How reproducible:
100%

Steps to Reproduce:
1. Install wordpress (wordpress.noarch) on a test machine 
2. Get a cert from cacert.org (I believe flash does not recognize this authority by default)
3. Set up HTTPS on the test machine using the cert 
4. Append http://www.cacert.org/certs/root.txt to /etc/pki/tls/certs/ca-bundle.crt on a machine with your testing web browser
5. Try to upload an image over HTTPS to the wordpress install
 
Actual results:
Nothing happens

Expected results:
file is uploaded

Additional info:
Running:
        mkdir /etc/ssl
        ln -sf /etc/pki/tls/certs /etc/ssl/certs
solves the problem

ca-certificates should make this symlink.

Comment 1 Joe Orton 2010-03-18 12:21:08 UTC
Are these tools looking specifically for

  /etc/ssl/certs/ca-bundle.crt

or are they searching all .crt files within that directory, or what?

Comment 2 Benjamin Kahn 2010-03-29 12:40:45 UTC
It appears they are simply looking for /etc/ssl/certs/ca-bundle.crt

Renaming ca-bundle.crt to ca.crt causes the ssl connection to fail.

Comment 3 Joe Orton 2010-04-07 15:38:10 UTC
Thanks for checking that, Ben.

I've added the symlink as you suggested.

http://koji.fedoraproject.org/koji/buildinfo?buildID=165865

Comment 4 Bug Zapper 2010-07-30 11:02:31 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Fedora End Of Life 2012-08-16 22:33:16 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Adam Williamson 2015-01-13 03:16:25 UTC
Benjamin, in case you're still around, I've been looking into this somewhat lately and changes may be coming: see https://bugzilla.redhat.com/show_bug.cgi?id=1053882 . If you have any thoughts there (particularly on how this ever actually *worked* in the first place, when nothing before this change was made ever actually had a /etc/ssl/certs/ca-bundle.crt file so far as I can ascertain - Debian has /etc/ssl/certs/ca-certificates.crt), it'd be helpful. thanks!


Note You need to log in before you can comment on or make changes to this bug.